#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct SecretsNotFound {
    #[builder(
        default,
        set(
            item(
                type = super::super::super::super::super::super::objects::scout::datasource::connection::api::SecretRid
            )
        )
    )]
    #[serde(
        rename = "message",
        skip_serializing_if = "std::collections::BTreeSet::is_empty",
        default
    )]
    message: std::collections::BTreeSet<
        super::super::super::super::super::super::objects::scout::datasource::connection::api::SecretRid,
    >,
}
impl SecretsNotFound {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn message(
        &self,
    ) -> &std::collections::BTreeSet<
        super::super::super::super::super::super::objects::scout::datasource::connection::api::SecretRid,
    > {
        &self.message
    }
}
impl conjure_error::ErrorType for SecretsNotFound {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::NotFound
    }
    #[inline]
    fn name() -> &'static str {
        "Connection:SecretsNotFound"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["message"]
    }
}
